Installation Error Messages & Interlinear Problem

Page 1 of 2 (21 items) 1 2 Next >
This post has 20 Replies | 1 Follower

Posts 1
Richard L Dickson | Forum Activity | Posted: Sun, Mar 13 2011 10:13 AM

Two things are happening to my installation of Logos 4 (I can't tell if the two are interrelated):

  • Item #1.  During updates, it keeps getting an error message "The feature you are trying to use is on a network resource that is unavailable. Click OK to try again, or enter an alternate path to a folder containing the installation package 'Logos4.msi' in the box below."  It appears to be looking for the file logos4.msi. The path that comes up "in the box below" is: D:\Program Files\Logos 4\Logos4\Data\ijop3gtr.l2x\UpdateManager\Installers\1689\.  However, upon doing a search on the c: and d: drives, it only finds file "Logos4.msi" here: D:\Program Files\Logos 4\Logos4\Data\ijop3gtr.l2x\UpdateManager\Installers\1785\.  When changing the installer message box to point to this location, another error box comes up that says "The file 'D:\Program Files\Logos 4\Logos4\Data\ijop3gtr.l2x\UpdateManager\Installers\1785\' is not a valid installation package for the product Logos Bible Software 4. Try to find the installation package 'Logos4.msi' in a folder from which you can install Logos Bible Software 4."  Then a final error message "The older version of Logos Bible Software 4 cannot be removed. Contact your technical support group."  Upon clearing that, however, it popped up a message that said it was removing an older version of the software, then went to preparing the library and indexing, which it finished.  This has happened several times now with recent updates.
  • Item #2.  Two of my interlinears (NIV 1984 and The New Living Bible) do not turn on.  The menu bar shows the toggle for them, but nothing happens.  The other interlinears are present and can be toggled on and off normally.  At one point after the update and indexing were complete, I forced a manual update and rebuild of the index and ALL the interlinears started working properly.  Then the next day there was another automatic update and since then I have not been able to duplicate the earlier "fix".

Anybody got any ideas?  I have already contacted tech support - their first response was to tell me how to turn on and off the interlinears, which I had clearly stated in my email was present but not working.  I didn't try to pursue it further with them, as after that I found my manual "fix".  But now two of the interlinears are no longer working again.

Thanks.

Posts 24837
Forum MVP
Dave Hooton | Forum Activity | Replied: Sun, Mar 13 2011 3:10 PM

Richard L Dickson:
Item #1.  During updates, it keeps getting an error message "The feature you are trying to use is on a network resource that is unavailable. Click OK to try again, or enter an alternate path to a folder containing the installation package 'Logos4.msi' in the box below."  It appears to be looking for the file logos4.msi. The path that comes up "in the box below" is: D:\Program Files\Logos 4\Logos4\Data\ijop3gtr.l2x\UpdateManager\Installers\1689\. 

Is D: a removable drive or a mapped network drive?

Delete the folder D:\Program Files\Logos 4\Logos4\Data\ijop3gtr.l2x\UpdateManager\Installers. It's possible you installed with "Run as administrator" and this means you have to install software updates running Logos4 the same way.

Dave
===

Windows & Android

Posts 44
Steve Rajczyk | Forum Activity | Replied: Thu, Dec 29 2011 6:12 AM

I 'm having the same message with the updates.  I noticed this file in my installation folder and am wondering if this is the problem.

jre-6u26-windows-i586-iftw.

When I click on it it says that it is the wrong version for my system.  I have windows 7.  Any ideas?

Posts 15805
Forum MVP
Keep Smiling 4 Jesus :) | Forum Activity | Replied: Thu, Dec 29 2011 8:48 AM

Steve Rajczyk:

I 'm having the same message with the updates.  I noticed this file in my installation folder and am wondering if this is the problem.

jre-6u26-windows-i586-iftw.

When I click on it it says that it is the wrong version for my system.  I have windows 7.  Any ideas?

Welcome Big Smile

Curious if have 32 bit or 64 bit Windows 7 ?

The Java Runtime Environment (JRE) version 6 update 26 for 32 bit windows for installation from the web (iftw) seems a bit odd to be in Logos 4 install folder.  By the way, JRE version 6 current update is 30.

Not know if Logos 4 uses Oracle's Java.  Personally had installed JRE before Logos 4, which could explain why my Logos 4 install folder does not have JRE.

Keep Smiling Smile

Posts 7978
LogosEmployee
Bradley Grainger (Faithlife) | Forum Activity | Replied: Thu, Dec 29 2011 12:41 PM

Richard L Dickson:

  • Item #2.  Two of my interlinears (NIV 1984 and The New Living Bible) do not turn on.  The menu bar shows the toggle for them, but nothing happens.  The other interlinears are present and can be toggled on and off normally.  At one point after the update and indexing were complete, I forced a manual update and rebuild of the index and ALL the interlinears started working properly.  Then the next day there was another automatic update and since then I have not been able to duplicate the earlier "fix".

Are you in the OT? These two reverse interlinears are currently NT-only. (The OT data is under development and will be released as a free update when it's completed.)

Posts 7978
LogosEmployee
Bradley Grainger (Faithlife) | Forum Activity | Replied: Thu, Dec 29 2011 12:42 PM

Keep Smiling 4 Jesus :):

Not know if Logos 4 uses Oracle's Java.

Logos 4 does not use Java.

Posts 24837
Forum MVP
Dave Hooton | Forum Activity | Replied: Thu, Dec 29 2011 12:49 PM

Steve Rajczyk:
I 'm having the same message with the updates. 

Please be specific about the message you receive. A screen shot is better  - see http://wiki.logos.com/Screenshot

Also compress (zip) and upload any logs/files you have in Logos Log Files in your Temp folder (type %temp% into Windows Explorer) - see http://wiki.logos.com/Uploading_Logs

Dave
===

Windows & Android

Posts 44
Steve Rajczyk | Forum Activity | Replied: Fri, Jan 27 2012 3:51 AM

Win 7 64 bit. It is set as system administrator.

Posts 13342
Forum MVP
Mark Barnes | Forum Activity | Replied: Fri, Jan 27 2012 4:10 AM

Richard L Dickson:
Two of my interlinears (NIV 1984 and The New Living Bible) do not turn on.

Neither the NIV or NLT reverse interlinears currently support the Old Testament. I'll leave you to Dave on the first question.

Posts 15805
Forum MVP
Keep Smiling 4 Jesus :) | Forum Activity | Replied: Fri, Jan 27 2012 10:02 AM

Steve Rajczyk:
Win 7 64 bit. It is set as system administrator.

Wonder about folder permissions ? see wiki => Fixing Logos 4 folder Ownership

Keep Smiling Smile

Posts 24837
Forum MVP
Dave Hooton | Forum Activity | Replied: Fri, Jan 27 2012 3:48 PM

Steve Rajczyk:
Win 7 64 bit. It is set as system administrator.

Try KS4J's suggestion to ensure you are the owner of the Logos4 folder in that path (if on C: drive ensure you can View Hidden Files and Folders via Control Panel >> Folder Options) and try to install.

Otherwise ensure that logging is enabled, copy logos4.msi from that folder to your \Documents folder and double-click to install L4.

Dave
===

Windows & Android

Posts 44
Steve Rajczyk | Forum Activity | Replied: Thu, Feb 2 2012 4:34 AM

Well went through all that and still the same result with every update.  However, it seems it is updating because my current version is this: 

Logos Bible Software 4.5 SR-4 (4.50.0.1889)

 

Posts 24837
Forum MVP
Dave Hooton | Forum Activity | Replied: Thu, Feb 2 2012 6:35 AM

Steve Rajczyk:

Well went through all that and still the same result with every update.  However, it seems it is updating because my current version is this: 

Logos Bible Software 4.5 SR-4 (4.50.0.1889)

Does this mean that L4 is running OK?

 

Dave
===

Windows & Android

Posts 44
Steve Rajczyk | Forum Activity | Replied: Thu, Feb 2 2012 4:42 PM

it's always worked fine. I just keep getting the message that the old version could not be uninstalled and that and files are not accessible (see error message in privious post).

Posts 24837
Forum MVP
Dave Hooton | Forum Activity | Replied: Fri, Feb 3 2012 2:48 AM

Steve Rajczyk:
I just keep getting the message that the old version could not be uninstalled

Two possible fixes

  • Go to Control Panel >> Programs & Features, right click Logos 4 Bible Software and select Repair
  • uninstall Logos 4, delete the \Logos4 folder and re-install. ==> the only solution if Repair fails.

Dave
===

Windows & Android

Posts 401
Timothy Ha | Forum Activity | Replied: Mon, Feb 6 2012 11:22 PM

I went to my folder with latest Logos4.msi + Logos4Prerequisites.msi and run Logos4.msi -- it asked for "Repair" and it worked.

Updated to 4.50.0.1889

Finally updated on a machine which kept saying the same Error message as above :-)

JesusChrist.ru - Russian Christian Portal, with free Bible software; Timh.ru - blog

Posts 44
Steve Rajczyk | Forum Activity | Replied: Thu, Feb 9 2012 4:14 AM

I searched my computer for "Logos4.msi" and it is not to be found.  Guess I'll have to reinstall.  I kind of like Libronix features better anyway.

 

Posts 24837
Forum MVP
Dave Hooton | Forum Activity | Replied: Thu, Feb 9 2012 4:20 AM

Steve Rajczyk:

I searched my computer for "Logos4.msi" and it is not to be found.  Guess I'll have to reinstall.  I kind of like Libronix features better anyway.

 

Did you look in Programs and Features as I suggested above?

Dave
===

Windows & Android

Posts 44
Steve Rajczyk | Forum Activity | Replied: Thu, Feb 9 2012 4:26 AM

Yes I did the repair there, but to no avail. Thanks for your help.

Posts 44
Steve Rajczyk | Forum Activity | Replied: Thu, Feb 9 2012 4:30 AM

The "prerequisites" go through the repair process.  The "Logos4" gives the message that a newer version is alredy installed.

Page 1 of 2 (21 items) 1 2 Next > | RSS